## python-opentelemetry 1.35.0

=== docs/examples/opencensus-shim/requirements.txt ===
opentelemetry-api
opentelemetry-sdk
opentelemetry-exporter-otlp
opentelemetry-opencensus-shim
opentelemetry-instrumentation-sqlite3
opencensus
opencensus-ext-flask
Flask
