=== docs/examples/metrics/prometheus-grafana/requirements.txt ===
opentelemetry-exporter-prometheus==1.12.0rc1
protobuf~=3.18.1
