=== debian/changelog ===
python-opentelemetry (1.35.0-2) unstable; urgency=medium

  * [378c134] d/copyright: Add missing info about Google Inc.
    Thanks Thorsten for spotting this missing information!
  * [0e14e17] d/watch: Convert to version 5
  * [85ee3ac] d/rules: Clean every occurrencesof folder .mypy_cache

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 25 Oct 2025 08:25:42 +0200

python-opentelemetry (1.35.0-1) unstable; urgency=medium

  * [950ea01] New upstream version 1.35.0
  * [129b9e3] First and basic Debianization
    (Closes: #1109099)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 18 Jul 2025 09:56:15 +0200
