=== docs/getting_started/tests/requirements.txt ===
asgiref==3.7.2
attrs==23.1.0
certifi==2024.7.4
charset-normalizer==2.0.12
click==8.1.7
Flask==2.3.3
idna==3.7
importlib-metadata==6.8.0
iniconfig==2.0.0
itsdangerous==2.1.2
Jinja2==3.1.5
MarkupSafe==2.1.3
packaging==24.0
pluggy==1.3.0
py-cpuinfo==9.0.0
pytest==7.4.4
requests==2.32.3
tomli==2.0.1
typing_extensions==4.8.0
urllib3==1.26.19
Werkzeug==3.0.6
wrapt==1.15.0
zipp==3.19.2
-e opentelemetry-semantic-conventions
-e opentelemetry-proto
-e exporter/opentelemetry-exporter-otlp-proto-common
-e exporter/opentelemetry-exporter-otlp-proto-grpc
-e opentelemetry-api
-e opentelemetry-sdk
