=== docs/examples/metrics/instruments/requirements.txt ===
opentelemetry-api~=1.25
opentelemetry-sdk~=1.25
opentelemetry-exporter-otlp~=1.25
