=== docs/examples/metrics/reader/requirements.txt ===
opentelemetry-api==1.15.0
opentelemetry-sdk==1.15.0
opentelemetry-semantic-conventions==0.36b0
typing_extensions==4.5.0
wrapt==1.14.1
