=== debian/changelog ===
python-opentelemetry (1.38.0-1) unstable; urgency=medium

  * [4ec47f6] New upstream version 1.38.0
  * [0bab0a8] d/control: Add python3-prometheus-client for -doc build

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 29 Oct 2025 07:39:43 +0200
