=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  python3-hatchling,
  python3-importlib-metadata <!nodoc>,
 # python3-importlib-metadata <!nocheck>,
- python3-prometheus-client <!nocheck>,
+ python3-prometheus-client <!nocheck> <!nodoc>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-benchmark <!nocheck>,
