## python-opentelemetry 1.39.1

=== debian/changelog ===
python-opentelemetry (1.39.1-2) unstable; urgency=medium

  * Team Upload
  * Add debian/salsa-ci.yml
  * Drop dependency on python3-importlib-metadata backport

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Feb 2026 17:51:13 +0100

python-opentelemetry (1.39.1-1) unstable; urgency=medium

  * [034faf6] Rebuid patch queue from patch-queue branch
    Fixed typo in metadata:
    Use-local-intersphinx-resources-where-possible.patch
  * [167467b] d/control: Mark more bin packages Multi-Arch: foreign
  * [9bf17bd] New upstream version 1.39.1
  * [1338fcc] autopkgtest: Ignore async testing in sdk package
  * [265d981] autopkgtest: Ignore test05-python3-opentelemetry-exporter-otlp-proto-common

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 12 Dec 2025 11:47:12 +0200

python-opentelemetry (1.38.0-2) unstable; urgency=medium

  * Team Upload
  * Fix Vcs tags
  * Apply Multi-Arch: hint

  [ Carsten Schoenert ]
  * [7024055] d/control: Correct long desc for -doc package (Closes: #1119714)
  * [f14b1b1] d/control: Another typo fix in a long description

 -- Alexandre Detiste <tchet@debian.org>  Thu, 27 Nov 2025 06:56:04 +0100
