=== debian/control ===
--- 
+++ 
@@ -25,8 +25,6 @@
  python3-flaky <!nocheck>,
  python3-grpcio <!nodoc>,
  python3-hatchling,
- python3-importlib-metadata <!nodoc>,
-# python3-importlib-metadata <!nocheck>,
  python3-prometheus-client <!nocheck> <!nodoc>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
@@ -43,8 +41,8 @@
  python3-typing-extensions <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://github.com/open-telemetry/opentelemetry-python
-Vcs-Git: https://salsa.debian.org/python-team/packages/opentelemetry.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/opentelemetry
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-opentelemetry.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-opentelemetry
 Testsuite: autopkgtest-pkg-python
 
 Package: python-opentelemetry-doc
@@ -55,16 +53,24 @@
  ${sphinxdoc:Depends},
 Multi-Arch: foreign
 Description: OpenTelemetry-Python API Reference
- The syntax required for a functional Sphinx cross-reference is highly
- non-obvious in many cases. Sometimes Sphinx can guess correctly what you
- mean, but it's pretty hit-or-miss. The best approach is to provide Sphinx
- with a completely specified cross-reference, and that's where sphobjinv
- comes in.
+ OpenTelemetry is a collection of APIs, SDKs, and tools. Use it to instrument,
+ generate, collect, and export telemetry data (metrics, logs, and traces) to
+ help you analyze your software’s performance and behavior.
+ .
+ OpenTelemetry, also known as OTel, is a vendor-neutral open source
+ Observability
+ (https://opentelemetry.io/docs/concepts/observability-primer/#what-is-observability)
+ framework for instrumenting, generating, collecting, and exporting telemetry
+ data such as traces
+ (https://opentelemetry.io/docs/concepts/signals/traces/),
+ metrics (https://opentelemetry.io/docs/concepts/signals/metrics/), and logs
+ (https://opentelemetry.io/docs/concepts/signals/logs/).
  .
  This package contains the docs for the Python OpenTelemetry implementation.
 
 Package: python3-opentelemetry-api
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},
@@ -140,6 +146,7 @@
  ${python3:Depends},
 Suggests:
  python-opentelemetry-doc,
+Multi-Arch: foreign
 Description: OpenTelemetry Semantic Conventions
  OpenTelemetry is an observability framework – an API, SDK, and tools that are
  designed to aid in the generation and collection of application telemetry
@@ -184,7 +191,7 @@
  data such as metrics, logs, and traces.
  .
  This library is provided as a convenience to install all supported
- OpenTelemetry Collector Exporters as an ametapackage. Currently it installs:
+ OpenTelemetry Collector Exporters as an metapackage. Currently it installs:
  .
   * opentelemetry-exporter-otlp-proto-grpc
   * opentelemetry-exporter-otlp-proto-http
@@ -292,6 +299,7 @@
  ${python3:Depends},
 Suggests:
  python-opentelemetry-doc,
+Multi-Arch: foreign
 Description: OpenTelemetry B3 Propagator
  OpenTelemetry is an observability framework – an API, SDK, and tools that are
  designed to aid in the generation and collection of application telemetry
@@ -306,6 +314,7 @@
  ${python3:Depends},
 Suggests:
  python-opentelemetry-doc,
+Multi-Arch: foreign
 Description: OpenTelemetry Jaeger Propagator
  OpenTelemetry is an observability framework – an API, SDK, and tools that are
  designed to aid in the generation and collection of application telemetry
@@ -323,10 +332,3 @@
 # python-opentelemetry-doc,
 #Description: OpenCensus Shim for OpenTelemetry
 # OpenTelemetry is an observability framework – an API, SDK, and tools that are
-# designed to aid in the generation and collection of application telemetry data
-# such as metrics, logs, and traces.
-# .
-# OpenCensus shim allows existing OpenCensus instrumentation to report to
-# OpenTelemetry. This allows you to incrementally migrate your existing
-# OpenCensus instrumentation to OpenTelemetry.
-# More details are available in the OpenCensus Compatibility Specification
