=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
  test02-python3-opentelemetry-proto
  test03-python3-opentelemetry-sdk
  test04-python3-opentelemetry-semantic-conventions
- test05-python3-opentelemetry-exporter-otlp-proto-common
+# test05-python3-opentelemetry-exporter-otlp-proto-common
 # test06-python3-opentelemetry-exporter-otlp-proto-grpc
  test07-python3-opentelemetry-exporter-prometheus
 # Some more adjustments needed.
@@ -14,7 +14,6 @@
  python3-grpcio,
  python3-deprecated,
  python3-flaky,
-# python3-importlib-metadata,
  python3-prometheus-client,
  python3-pytest,
  python3-pytest-asyncio,
